Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::CubeLineObject Class Reference

`#include <cube_line_object.h>`

List of all members.

## Public Member Functions

| CubeLineObject (CubeRecoContext *cntxt, Pix *pix)
| ~CubeLineObject ()
int | PhraseCount ()
CubeObject ** | Phrases ()

## Detailed Description

Definition at line 32 of file cube_line_object.h.

## Constructor & Destructor Documentation

tesseract::CubeLineObject::CubeLineObject | ( | CubeRecoContext * | cntxt,
|  | Pix * | pix
| ) |  |

Definition at line 24 of file cube_line_object.cpp.

{
line_pix_ = pix;
own_pix_ = false;
processed_ = false;
cntxt_ = cntxt;
phrase_cnt_ = 0;
phrases_ = NULL;
}

tesseract::CubeLineObject::~CubeLineObject | ( |  | ) |

Definition at line 33 of file cube_line_object.cpp.

{
if (line_pix_ != NULL && own_pix_ == true) {
pixDestroy(&line_pix_);
line_pix_ = NULL;
}
if (phrases_ != NULL) {
for (int phrase_idx = 0; phrase_idx < phrase_cnt_; phrase_idx++) {
if (phrases_[phrase_idx] != NULL) {
delete phrases_[phrase_idx];
}
}
delete []phrases_;
phrases_ = NULL;
}
}

## Member Function Documentation

int tesseract::CubeLineObject::PhraseCount | ( |  | ) |

inline

Definition at line 38 of file cube_line_object.h.

{
if (!processed_ && !Process()) {
return 0;
}
return phrase_cnt_;
}

CubeObject** tesseract::CubeLineObject::Phrases | ( |  | ) |

inline

Definition at line 44 of file cube_line_object.h.

{
if (!processed_ && !Process()) {
return NULL;
}
return phrases_;
}

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/cube/cube_line_object.h
- /mnt/data/src/tesseract-ocr/cube/cube_line_object.cpp